// @flow

const merge = require('webpack-merge');
const UglifyJSPlugin = require('uglifyjs-webpack-plugin');
const common = require('./webpack.common.js');
var ExtractTextPlugin = require('extract-text-webpack-plugin');
var ManifestPlugin = require('webpack-manifest-plugin');

module.exports = merge(common, {
  devtool: 'nosources-source-map',
  plugins: [
    new UglifyJSPlugin({ sourceMap: true }),
    new ManifestPlugin({fileName: 'manifest.json'}),
    new ExtractTextPlugin({ filename: 'css/[name].[chunkhash].css' })
  ]
});
