module.exports = function(Model, options) {
  // adds timestamps to models
  Model.defineProperty(options.ns+'Created', {type: Date, default: '$now', notForForm: true});
  Model.defineProperty(options.ns+'Modified', {type: Date, default: '$now', notForForm: true});

  // when data updates, update last update date
  Model.observe('before save', function event(ctx, next) {
    let upd;
    if (ctx.instance) {
      upd = ctx.instance;
    }
    else {
      upd = ctx.data;
    }
    if (!upd[options.ns+'Modified']) {
      upd[options.ns+'Modified'] = new Date();
    }
    next();
  });
}
