// flow
"use strict";

var page = require('webpage').create(),
    system = require('system'),
    address, token;

if (system.args.length < 3) {
  console.error('siteScreenCap called with wrong number of arguments');
  phantom.exit(1);
}
else {
  address = system.args[1];
  token = system.args[2];
  page.viewportSize = { width: 1140, height: 700 };
  page.clipRect = { top: 0, left: 0, width: 1140, height: 740 };
  page.customHeaders = { "X-Access-Token": token, "X-Phantom-Js": 1 };
  // make sure error log are supprressed or else image will be corrupted
  page.onError = function() { };
  page.open(address, function(status) {
    if(status === "success") {
      var base64 = page.renderBase64('PNG');
      console.log(base64);
      phantom.exit();
    }
    else {
      console.error('could not render page: ' + address + '. ERROR: ' + status);
      phantom.exit(1);
    }
  });
}
