/**
 * default component for rendering post in posts list
 */

import React from 'react';
import { IndexLink } from 'react-router';
var moment = require('moment');

export default class WpPosts extends React.Component {
  render() {
    const {img, post, categ, url} = this.props;

    return (
      <div className="blog-item wow fadeIn">
        <IndexLink className="blog-item-thumbnail" to={url}>
          {img}
        </IndexLink>
        <IndexLink className="blog-item-title" to={url}>
          <h3 dangerouslySetInnerHTML={{__html: post.title.rendered}} />
        </IndexLink>
        <div className="blog-item-excerpt"
          dangerouslySetInnerHTML={{__html: post.excerpt.rendered}} />
        <div className="blog-item-footer">
          <div className="blog-item-date">
            {moment(post.date).format("MMM DD, YYYY")}
          </div>
          {categ &&
            <div className="blog-item-cat">in {categ}</div>
          }
        </div>
      </div>
    );
  }
}
