/**
 * renders list of wp posts
 */

import React from 'react';
import { Row, Col } from 'react-bootstrap';
import { connect } from 'react-redux';
import { IndexLink } from 'react-router';
import { getComponent } from '../../../../themes/zealder-default-theme/src/routes/';
var _ = require('lodash');
var subgrid = require('../../../../themes/zealder-default-theme/src/helpers/subgrid');

class WpPostsContainer extends React.Component {
  render() {
    const {scContent} = this.props.content;
    const {gridSize, wpConfig, blogPage} = this.props;

    let WpPost = getComponent('WpPost');

    if (Array.isArray(scContent.posts)) {
      return (
        <Row className="blog-list">
          {scContent.posts.map((val, key) => {
            // prep featured media
            // TODO: make responsive images
            var img;
            if (val._embedded && val._embedded['wp:featuredmedia'] &&
              val._embedded['wp:featuredmedia'][0] &&
              'image' === val._embedded['wp:featuredmedia'][0].media_type) {
              img = (
                <picture>
                  <img src={val._embedded['wp:featuredmedia'][0].source_url}
                    alt={val._embedded['wp:featuredmedia'][0].alt_text} />
                </picture>
              );
            }
            // prep terms
            var categ;
            if (val.categories && wpConfig && wpConfig.categories) {
              categ = val.categories.map((catId, indx) => {
                let cat = _.find(wpConfig.categories, ['id', catId]);
                if (cat && cat.name) {
                  let catUrl = `${blogPage.realPath}/topics/${cat.slug}`;
                  return <IndexLink key={indx} to={catUrl}>{cat.name}</IndexLink>
                }
                return null;
              });
            }
            // url for post
            var url;
            if (blogPage) {
              url = `${blogPage.realPath}/${val.slug}`
            }
            return (
              <Col key={key}
                lg={subgrid.sizeIt(gridSize, 3, 'lg')}
                md={subgrid.sizeIt(gridSize, 4, 'md')}
                sm={subgrid.sizeIt(gridSize, 6, 'sm')}
                xs={subgrid.sizeIt(gridSize, 12, 'xs')}>
                <WpPost img={img} post={val} categ={categ} url={url} />
              </Col>
            );
          })}
        </Row>
      )
    }

    return null;
  }
}

const WpPosts = connect(
  (state) => {
  return {
    wpConfig: state.themeData.wpConfig,
    blogPage: _.find(state.pages, function(o) {
      return o.scsOptions && 'blog' === o.scsOptions.UniId;
    })
  }
}
)(WpPostsContainer)
module.exports = WpPosts;
