// @flow
'use strict';

var getAuthSites = require('../../zealder-admin-theme/lib/get-auth-sites');
var async = require('async');

function middleware(req, res, next) {
  const { zlSite, themeData } = res.locals;

  if (!zlSite.user || !zlSite.user.usrId) {
    // TODO: when user not logged in, show demo site in builder
    res.send('You are not logged in and there is no DEMO (yet).');
  }
  else {
    // load admin functions
    async.series([
      // get Auth Sites (mainly managingSite)
      (cb) => getAuthSites(req, res, cb),
      // TODO: load Builder functions for Apps
    ], (err, results) => {
      if (!themeData.managingSite) {
        // if no site was seleted to manage, then really nothing to build?
        res.status(401).send('No site was seleted to edit.');
      }
      else next();
    });
  }
}
module.exports = middleware;
