import React from 'react';
import { connect } from 'react-redux';
import _ from 'lodash/core';
import { Button as Btn } from 'react-bootstrap';
import { LinkContainer } from 'react-router-bootstrap';

class ButtonContainer extends React.Component {
  render() {
    const { scContent } = this.props.content;

    if (scContent.routeToUniPage) {
      let page = _.find(this.props.pages, function(o) {
        return o.scsOptions && scContent.routeToUniPage === o.scsOptions.UniId;
      });
      if (page) {
        return (
          <LinkContainer to={page.realPath}>
            <Btn {...scContent.props}>{scContent.label}</Btn>
          </LinkContainer>
        )
      }
    }

    return <Btn {...scContent.props}>{scContent.label}</Btn>
  }
}

const Button = connect(
  (state) => {
  return {
    pages: state.pages
  }
}
)(ButtonContainer)
module.exports = Button;
