// @flow

// default Wrapper for all body root content modules

import React from 'react';
import { Grid } from 'react-bootstrap';

export default class ContentWrapper extends React.Component {
  render() {
    const { scTitle, scType, scContent } = this.props.content;

    if ('framed link' === this.props.page.scsBase) {
      // for framed link, dont use wrapper
      return this.props.children;
    }

    // className
    let className = `component-container ${scType}`;
    // determin style
    let style = {};
    if (scContent && scContent.height) {style.minHeight = scContent.height;}

    // determine our background
    let bg;
    if (scContent && scContent.background) {
      let Background = this.props.getComponent('Background', '');
      bg = <Background background={scContent.background} height={scContent.height} />
      className += ' has-background';
    }
    if (scContent && scContent.className) {
      className += ` ${scContent.className}`;
    }
    // determin if inner grid should be fluid
    let isFluid = (scContent && 'Listings' === scType)?true:false;

    return (
      <Grid fluid={true} className={className} style={style}>
        {bg}
        <Grid fluid={isFluid}>
          {scTitle && <div className="component-title">{scTitle}</div>}
          {this.props.children}
        </Grid>
      </Grid>
    );
  }
}
