import React from 'react';

export default class FluidiFrame extends React.Component {
  componentWillUnmount() {
    if ($(this.ifr)[0].iFrameResizer) $(this.ifr)[0].iFrameResizer.close();
  }

  componentWillUpdate(nextProps) {
    // force refresh when re-clicked
    this.ifr.src += '';
  }

  componentDidMount() {
    this.ifr.onload = () => {
      if (!this.props.content.scContent.iframeDontMsg &&
        !$(this.ifr)[0].iFrameResizer) {
        // get top pos of iframe
        var offset = $(this.ifr).offset();
        var bodyHeight = $(window).height();
        var minHeight = bodyHeight - (offset.top + 110);

        // since hasn't been iFrameResize, do it now
        $(this.ifr).iFrameResize({minHeight: minHeight});
      }
    }
  }

  render() {
    const { scContent } = this.props.content;

    let style = {width: '100%', border: 0, overflow: 'hidden'};

    if (scContent.iframeDontMsg) {
      style.overflow = 'auto';
    }

    return (
      <iframe title="fluid frame" ref={(f) => this.ifr = f }
        src={scContent.url} style={style} />
    );
  }
}
