// @flow

import React from 'react';

export default class Image extends React.Component {
  render() {
    const scContent = this.props.content.scContent;

    let img = <img {...scContent.props} src={scContent.src} />

    let outerClassName = "image-component";
    if (scContent.outerProps && scContent.outerProps.className) {
      outerClassName += ` ${scContent.outerProps.className}`;
    }

    if (scContent.sources) {
      // responsive images
      img = (
        <picture>
          {scContent.sources.map((src, key) => {
            return <source key={`src-${key}`} {...src}></source>;
          })}
          {img}
        </picture>
      )
    }

    return <div {...scContent.outerProps} className={outerClassName}>{img}</div>;
  }
}
