// @flow

/* this is a higher-order component (HOC) that wraps Page Routes with content
for page */

import React, { Component } from 'react';
import { selectPage, fetchContentsIfNeeded } from './../redux/actions/pages';

export default function pageSubscription(WrappedComponent, scsId) {
  class pageSubscription extends Component {
    constructor(props) {
      super(props);
    }

    componentWillMount() {
      // update store with selected page id
      this.props.dispatch(selectPage(scsId));
    }

    componentDidMount() {
      // make sure we load content for this page
      // exclude 'framed link' and pages that specifically request
      // dontFetchContentOnLoad
      if ('framed link' !== this.props.page.scsBase &&
        (!this.props.page.scsOptions ||
          !this.props.page.scsOptions.dontFetchContentOnLoad)) {
        this.props.dispatch(fetchContentsIfNeeded(scsId));
      }
    }

    render() {
      return <WrappedComponent {...this.props} />
    }
  }
  // make available to RouterContext prop on server
  pageSubscription.scsId = scsId;
  return pageSubscription;
}
