// client-side functions

// for preloading images
function preloadImage(url, cb) {
  if (process.env.APP_ENV !== 'browser') return;

  var img = new Image();

  // if callback supplied, use it
  if (cb) {
    img.onload = cb;
  }

  // load image
  img.src = url;
}
exports.preloadImage = preloadImage;

function unWrapMenu(ele, eleItems, moreItem, moreEleItem) {
  var hasWrap;
  const elItems = $(`${ele}${eleItems}`);
  const elMoreItems = $(`${ele}${eleItems}${moreItem}${moreEleItem}`);

  // check if required elements are on page
  if (!elItems.length || !elMoreItems.length) {
    return;
  }

  // first reset style
  $(ele).css({"height" : "", "overflowY" : ""});
  elItems.css("display", "");
  elMoreItems.css("display", "");

  // first visible nav item's position
  let offset = $(`${ele}${eleItems}:visible:first`).offset();
  if (offset) {
    let backupItem = $(`${ele}${eleItems}${moreItem}`);

    // determine backupIndex
    var items = $($(`${ele}${eleItems}:visible`).get().reverse());
    var backupIndex = items.length;
    // reset attr on backup
    backupItem.attr( "data-visible-pos", backupIndex);

    // get all other main nav items in reverse order
    items.each(function(index) {
      // determine if menu wraps
      if (!hasWrap) {
        let curOffset = $(this).offset();
        if (curOffset.top !== offset.top) {
          hasWrap = true;
          // display backup
          backupItem.css("display", "inline-block");
        }
        else {
          // since menu doesn't wrap we don't need to do anything
          return false;
        }
      }

      if (hasWrap) {
        // check if backup is still wrap
        let curOffset = $(backupItem).offset();
        if (curOffset.top !== offset.top) {
          // as long as backup is wrap we keep hiding items
          $(this).css("display", "none");
          // and make corresponding item in backup display
          $(elMoreItems.get().reverse()).eq(index).css("display", "block");

          backupIndex--;
        }
        else {
          // we can stop iterating since backup is no longer wrap
          return false;
        }
      }
    });
    // we use data-attr instead of class because dropdown change class names when openned
    backupItem.attr( "data-visible-pos", backupIndex);
  }

  // now we can remove fixed height on mainNav
  $(ele).css({ "height" : "auto", "overflowY" : "visible"});
}
exports.unWrapMenu = unWrapMenu;

// replaces a displayed phone number with a Google supplied number
if (process.env.APP_ENV === 'browser') {
  window.gAdPhoneCallback = function(formatted_number, mobile_number) {
    // replace in personalize bar in header
    $('.phone-btn > a').each(function() {
      this.href = "tel:" + mobile_number;
      $( ".number", this ).html(formatted_number);
    });

    // replace other links
    $('a.phone-link').each(function() {
      this.href = "tel:" + mobile_number;
      $( ".number", this ).html(formatted_number);
    });
  }
}
