// @flow
'use strict';

const grid = 12;

// functions for correcting responsive sizes in bootstrap subgrids

// determine size wanted based on size in
function sizeIt(gridSize, sizeEle, sizeScreen = 'xs') {
  // determine outer size
  let outerSize = _getOuterSize(gridSize, sizeScreen);
  // subtract outer from this size
  let size = sizeEle * grid/outerSize;

  if (size > grid) size = grid;
  else if (size < 1) size = 1;
  return Math.round(size);
}
exports.sizeIt = sizeIt;

/**
 * determine size of outer element
 */
function _getOuterSize(gridSize, sizeScreen) {
  if ('lg' === sizeScreen) {
    if (gridSize && gridSize.lg) {
      return gridSize.lg;
    }
    else if (gridSize && gridSize.md) {
      return gridSize.md;
    }
    else if (gridSize && gridSize.sm) {
      return gridSize.sm;
    }
    else if (gridSize && gridSize.xs) {
      return gridSize.xs;
    }
  }
  else if ('md' === sizeScreen) {
    if (gridSize && gridSize.md) {
      return gridSize.md;
    }
    else if (gridSize && gridSize.sm) {
      return gridSize.sm;
    }
    else if (gridSize && gridSize.xs) {
      return gridSize.xs;
    }
  }
  else if ('sm' === sizeScreen) {
    if (gridSize && gridSize.sm) {
      return gridSize.sm;
    }
    else if (gridSize && gridSize.xs) {
      return gridSize.xs;
    }
  }
  else if ('xs' === sizeScreen) {
    if (gridSize && gridSize.xs) {
      return gridSize.xs;
    }
  }
  // default
  return grid;
}
