// @flow

export const UPDATE_PROFILE = 'UPDATE_PROFILE';
export const UPDATE_USER_TOKEN = 'UPDATE_USER_TOKEN';
export const UPDATE_SITE_DATA = 'UPDATE_SITE_DATA';

// get user profile
export function fetchProfile(usrId) {
  return dispatch => {
    return $.get( `/api/zlUsers/${usrId}`)
      .done(data => dispatch(updateProfile(data)))
      // TODO: check if auth error, and notify them they are no longer logged in
  }
}

// update the current user profile
export function updateProfile(data) {
  return {
    type: UPDATE_PROFILE,
    data
  }
}

// update the current user/token
export function updateUserToken(data) {
  return {
    type: UPDATE_USER_TOKEN,
    data
  }
}

// update the current user profile
export function updateSiteData(data) {
  return {
    type: UPDATE_SITE_DATA,
    data
  }
}
