// @flow

import React from 'react';

export default class PgFramedlink extends React.Component {
  render() {
    var url = this.props.page.scsOptions.Url;
    if (this.props.location.state && this.props.location.state.forceUrl) {
      // when caller page request a custom url (maybe added query string)
      url = this.props.location.state.forceUrl;
    }

    let ContentWrapper = this.props.getComponent('ContentWrapper', '');
    let PgStandard = this.props.getComponent('PgStandard');
    let FluidiFrame = this.props.getComponent('FluidiFrame', '');

    let content = {
      scTitle: this.props.page.scsName,
      scContent: { url: url }
    };
    let fillWindow = false;

    if (this.props.page.scsOptions.iframeDontMsg) {
      // iframe does not accept message (must be 3rd party) so resizer wont work
      fillWindow = true;
      content.scContent.iframeDontMsg = 1;
    }

    return (
      <PgStandard {...this.props} contentFillsWindow={fillWindow} bodyContent={
        <ContentWrapper content={content} {...this.props}>
          <FluidiFrame content={content} />
        </ContentWrapper>
      } />

    );
  }
}
